#!/bin/sh
# Post installation for debian 3.1 installation

# THis is the module name. Should be valid.
HPTMOD=rr3740a

#
# Do NOT edit the following in most cases
#
if test "${HPTMOD}set" = "set" ; then
	echo "Error! Which module to install?";
	exit 1;
fi

FLOPPY=$( dirname $0 )

if [ ! -d /target/lib/modules/ ]; then
	echo "Error! Can not find any system module installation directory!";
	exit 1;
fi

RELEASES=$( ls /target/lib/modules/ )

if test "${RELEASES}set" = "set" ; then
	echo "Error! No kernel package has been installed!";
	exit 1;
fi

if [ "`/target/bin/uname -m`" = "x86_64" ];then
    ARCH=x86_64
else
    ARCH=i386
fi

for RELEASE in ${RELEASES}; do
	if [ -f ${FLOPPY}/boot/${HPTMOD}${RELEASE}${ARCH}.ko.gz ] ; then
		if test $HPTMOD = "hptmv" || test $HPTMOD = "hptmv6" || test $HPTMOD = "rr174x" || test $HPTMOD = "rr2310_00"; then
			find /target/lib/modules/${RELEASE} -name 'sata_mv.*' -delete > /dev/null 2>&1
			find /target/lib/modules/${RELEASE} -name 'sata_mv.*' -exec rm {} \;
		fi
		if test $HPTMOD = "rr272x_1x" || test $HPTMOD = "rr274x_3x" || test $HPTMOD = "rr276x" || test $HPTMOD = "rr278x" ; then
			find /target/lib/modules/${RELEASE} -name 'mvsas.*' -delete > /dev/null 2>&1
			find /target/lib/modules/${RELEASE} -name 'mvsas.*' -exec rm {} \;
		fi
		if test $HPTMOD = "hptiop"; then
			find /target/lib/modules/${RELEASE} -name 'hptiop.*' -delete > /dev/null 2>&1
			find /target/lib/modules/${RELEASE} -name 'hptiop.*' -exec rm {} \;
		fi
		if test $HPTMOD = "hpt374" || test $HPTMOD = "hpt37x2"; then
			find /target/lib/modules/${RELEASE} -name 'pata_hpt*.*' -delete > /dev/null 2>&1
			find /target/lib/modules/${RELEASE} -name 'hpt366.*' -delete > /dev/null 2>&1
			find /target/lib/modules/${RELEASE} -name 'pata_hpt*.*' -exec rm {} \;
			find /target/lib/modules/${RELEASE} -name 'hpt366.*' -exec rm {} \;
		fi
		zcat ${FLOPPY}/boot/$HPTMOD${RELEASE}${ARCH}.ko.gz > /target/lib/modules/${RELEASE}/kernel/drivers/scsi/${HPTMOD}.ko	
	fi
done
sync
sync
sync
cat  $FLOPPY/postinst2.sh > /target/tmp/postinst2.sh
sync
chmod +x /target/tmp/postinst2.sh
chroot /target /tmp/postinst2.sh
rm -f /target/tmp/postinst2.sh

echo "We have completed the driver installation."

exit 0

