#!/bin/sh
# THis is the module name. Should be valid.
HPTMOD=rr3740a

#
# Do NOT edit the following in most cases
#
RELEASES=$( ls /lib/modules/ )

mount | grep proc -s -q || mount -t proc none /proc
if which mkinitramfs >/dev/null 2>/dev/null ; then
	mkinitrd=mkinitramfs
else
	mkinitrd=mkinitrd
fi
#if ( cat /etc/issue | grep -i ubuntu -s -q ); then # ubuntu
#	mkinitrd=mkinitramfs
#else # debian
#	mkinitrd=mkinitrd
#fi

if [ -f /etc/${mkinitrd}/modules ]; then # debian 3.1, ubuntu 5.10 (6.x? 7.x?)
	cat /etc/${mkinitrd}/modules | grep "^$HPTMOD" -s -q || echo $HPTMOD >> /etc/${mkinitrd}/modules
elif [ -f /etc/initramfs-tools/modules ]; then # debian 4.0
	cat /etc/initramfs-tools/modules | grep "^$HPTMOD" -s -q || echo $HPTMOD >> /etc/initramfs-tools/modules
else
	echo "Error!!! No initrd config file found, no initrd file generated."
	exit 1
fi
	
for RELEASE in ${RELEASES}; do
	depmod -a ${RELEASE} >/dev/null 2>/dev/null
	if [ -f /boot/initrd.img-${RELEASE} ]; then
		mv /boot/initrd.img-${RELEASE} -f /boot/initrd.img-${RELEASE}.hpt.bak
	fi
	${mkinitrd} -o /boot/initrd.img-${RELEASE} ${RELEASE}
done

exit 0
